Subject: Re: New draft (Was: I-D ACTION:draft-klensin-unicode-escapes-00.txt

From: "Tim Bray" <[email-masked]>
Date: Wed, 31 Jan 2007 22:18:48 -0800

On 1/31/07, John C Klensin <[email-masked]> wrote:

> While I think I agree with you about your second proposed
> paragraph above ("New protocols..."), I think my instructions
> with this document is to keep it narrow and to focus on escapes,
> not on general advice to protocol designers about Unicode or
> internationalization more broadly.   So I don't want to go so
> far as to make specific (or even specific-sounding) suggestions.

I hadn't read 2277 in years; having done so, I think that it says what
I was trying to say quite effectively.  De facto, this spec is really
only usable for text (in the 2277 sense) when internationalizing
existing protocols.

> This effort, and some others, have convinced me that we are
> getting closer to the time at which RFC 2277/ BCP 18 needs to be
> reopened, reviewed, and updated, but this document isn't the
> right place to do it, at least IMO.

Really? Having just re-read that, I found little to disagree with or
want to change.  My pain point is 2223, but everyone knows that. -Tim

---

From: John C Klensin <[email-masked]>
Date: Thu, 01 Feb 2007 11:08:48 -0500

--On Wednesday, 31 January, 2007 22:18 -0800 Tim Bray
<[email-masked]> wrote:

>> with this document is to keep it narrow and to focus on
>> escapes, not on general advice to protocol designers about
>> Unicode or internationalization more broadly.   So I don't
>> want to go so far as to make specific (or even
>> specific-sounding) suggestions.
> 
> only usable for text (in the 2277 sense) when
> internationalizing existing protocols.

That is more or less what the text says now... watch for -02
probably sometime next week.

>> getting closer to the time at which RFC 2277/ BCP 18 needs to
>> be reopened, reviewed, and updated, but this document isn't
>> the right place to do it, at least IMO.
> 

To give just one example, I think there is a case to be made
about making/keeping text NFC complaint or at least examining
that question on a per-protocol basis.

    john